.spinner {
  position: fixed;
  top: 0; left: 0; z-index: 9999;
  width: 100vw; height: 100vh;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 0.2s;
}
 
/* (B) CENTER LOADING SPINNER */
.spinner img {
  position: absolute;
  top: 50%; left: 50%;
  transform: translate(-50%);
}
 
/* (C) SHOW & HIDE */
.spinner {
  visibility: hidden;
  opacity: 0;
}
.spinner.show {
  visibility: visible;
  opacity: 1;
}

.model.hide{
  visibility: hidden;
  opacity: 0;
}
.model.show{
  visibility: visible;
  opacity: 1; 
}
